Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.commonapi
Class PastryEndpointMessage

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.commonapi.PastryEndpointMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class PastryEndpointMessage

extends PRawMessage

This class is an internal message to the commonapi gluecode.

Version:
  $Id: PastryEndpointMessage.java 3387 2006-09-12 13:09:45Z jeffh $
Author:
  Alan Mislove, Peter Druschel
See Also:
  Serialized Form

Field Summary
`protected RawMessage` | `message` DESCRIBE THE FIELD
`static short` | `TYPE` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`PastryEndpointMessage(int address, InputBuffer buf, MessageDeserializer md, NodeHandle sender)` Constructor for PastryEndpointMessage.
`PastryEndpointMessage(int address, Message message, NodeHandle sender)` Constructor.
`PastryEndpointMessage(int address, RawMessage message, NodeHandle sender)` Constructor for PastryEndpointMessage.

Method Summary
`Message` | `getMessage()` Returns the internal message
`short` | `getType()` Raw Serialization **************************************
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD
`void` | `setMessage(Message message)` Returns the internal message
`void` | `setMessage(RawMessage message)` Returns the internal message
`java.lang.String` | `toString()` Returns the String representation of this message

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### message

    protected RawMessage message

  DESCRIBE THE FIELD

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### PastryEndpointMessage

    public PastryEndpointMessage(int address,
                                 Message message,
                                 NodeHandle sender)

  Constructor.

  Parameters:
    `address` - DESCRIBE THE PARAMETER
    `message` - DESCRIBE THE PARAMETER
    `sender` - DESCRIBE THE PARAMETER

### PastryEndpointMessage

    public PastryEndpointMessage(int address,
                                 RawMessage message,
                                 NodeHandle sender)

  Constructor for PastryEndpointMessage.

  Parameters:
    `address` - DESCRIBE THE PARAMETER
    `message` - DESCRIBE THE PARAMETER
    `sender` - DESCRIBE THE PARAMETER

### PastryEndpointMessage

    public PastryEndpointMessage(int address,
                                 InputBuffer buf,
                                 MessageDeserializer md,
                                 NodeHandle sender)
                          throws java.io.IOException

  Constructor for PastryEndpointMessage.

  Parameters:
    `address` - DESCRIBE THE PARAMETER
    `buf` - DESCRIBE THE PARAMETER
    `md` - DESCRIBE THE PARAMETER
    `sender` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### getMessage

    public Message getMessage()

  Returns the internal message

  Returns:
    the credentials.

### getType

    public short getType()

  Raw Serialization **************************************

  Returns:
    The Type value

### setMessage

    public void setMessage(Message message)

  Returns the internal message

  Parameters:
    `message` - The new Message value

### setMessage

    public void setMessage(RawMessage message)

  Returns the internal message

  Parameters:
    `message` - The new Message value

### toString

    public java.lang.String toString()

  Returns the String representation of this message

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.